//+--------------------------------------------------------------------------------------------------------------------------------------------------+
//|                                                                                                                  ZH_Global_Chart_Variable_Lib.mqh|
//|                                                                                                                  Copyright  Zhunko              |
//|04.09.2008 - 10.09.2008                                                                                           MF ZHUNKO vadim@zhunko.ru       |
//+--------------------------------------------------------------------------------------------------------------------------------------------------+
//|        .                                                                      |
//+--------------------------------------------------------------------------------------------------------------------------------------------------+
//|        .                                                                      |
//|    ( ),      .                                                 |
//| !!!             62-.                                       |
//+--------------------------------------------------------------------------------------------------------------------------------------------------+
//| 1.       .                                                                       |
//| 2.       .                                                                      |
//| 3.        .                                                              |
//| 4.        .                                                             |
//+---    . ------------------------------------------------------------------------------------------------------------+
//| 5.        .                                                                               |
//| 6.          .                                                              |
//| 7.         .                                                                |
//| 8.       .                                                                              |
//+---    . --------------------------------------------------------------------------------------------------------------+
//| 9.        .                                                                        |
//|10.        .                                                                         |
//|11.           .                                                           |
//|12.         .                                                        |
//|13.            .                                             |
//|14.           .                                                           |
//|15.              .                                   |
//|16.              .                                   |
//+---      ,   . ---------------------------------------------------------------+
//|17.      .                                                                                   |
//|18.     .                                                                                           |
//|19.              .                    |
//|20.       .                                                                        |
//|21.     .                                                                                            |
//|22.      .                                                                                    |
//+--------------------------------------------------------------------------------------------------------------------------------------------------+
#import "ZH_Global_Chart_Variable_Lib.ex4"
 //     . 
 // 1.       .=========================================================================
 //       .
 double GlobalChartVariableGetDouble (string Name); //    .
 //====================================================================================================================================================
 // 2.       .========================================================================
 //       .
 string GlobalChartVariableGetStr (string Name); //    .
 //====================================================================================================================================================
 // 3.        .================================================================
 //        .
 //    ,     .
 //       TRUE,  FALSE.
 bool GlobalChartVariableSetDouble (string Name,       //    .
                                    double Value,      //  .
                                    int    Precision); //      .
 //====================================================================================================================================================
 // 4.        .===============================================================
 //        .
 //    ,     .
 //       TRUE,  FALSE.
 bool GlobalChartVariableSetStr (string Name,   //    .
                                 string Value); //  .
 //====================================================================================================================================================
 //    . 
 // 5.        .=================================================================================
 //     ,    .       .
 //    "Precision".       TRUE,  FALSE.
 bool ChartArraySet (string Name,      //   .
                     double Value,     //       .
                     int    Precision, //      .
                     int    Size0,     //    .
                     int    Size1,     //    .
                     int    Cell0,     //    .
                     int    Cell1);    //    .
 //====================================================================================================================================================
 // 6.          .================================================================
 //       "-1"   .   ,   "Cell0"    .
 double ChartArrayGet (string Name,   //   .
                       int    Cell0,  //    .
                       int    Cell1); //    .
 //====================================================================================================================================================
 // 7.         .==================================================================
 //        ,    "-1".
 int ChartArrayRange (string Name,        //   .
                      int    RangeIndex); //  .
 //====================================================================================================================================================
 // 8.       .================================================================================
 //        ,      ,
 //     -1,     .
 int ChartArrayResize (string Name,       //   .
                       int    RangeIndex, //  .
                       int    NewSize);   //  .
 //====================================================================================================================================================
 //    . 
 // 9.        .==========================================================================
 //      ,    .
 //         .    "-1".
 int FileChartWriteArray1Int (string Name,    //   .
                              int    Array[], //   .
                              int    Start,   //     (   ).
                              int    Count);  //   .
 //====================================================================================================================================================
 //10.        .===========================================================================
 //      ,    .
 //         .    "-1".
 int FileChartWriteArray2Int (string Name,       //   .
                              int    Array[][]); //   .
 //====================================================================================================================================================
 //11.           .=============================================================
 //      ,      .
 //         .    "-1".
 int FileChartWriteArray1Double (string Name,      //   .
                                 double Array[],   //   .
                                 int    Precision, //      .
                                 int    Start,     //     (   ).
                                 int    Count);    //   .
 //====================================================================================================================================================
 //12.         .==========================================================
 //       .
 //      ,      .
 //         .    "-1".
 int FileChartWriteArray2Double (string Name,       //   .
                                 double Array[][],  //   .
                                 int    Precision); //      .
 //====================================================================================================================================================
 //13.            .===============================================
 //        .
 //      .
 int FileChartReadArray1Int (string Name,    //   .
                             int    Array[], // ,    .
                             int    Start,   //      .
                             int    Count);  //    .
 //====================================================================================================================================================
 //14.           .=============================================================
 //           .
 //      "|",   ,        .
 //   ,   ,    .    .
 //      .
 int FileChartReadArray2Int (string Name,       //   .
                             int    Array[][]); // ,    .
 //====================================================================================================================================================
 //15.              .=====================================
 //        .
 //      .
 int FileChartReadArray1Double (string Name,    //   .
                                double Array[], // ,    .
                                int    Start,   //      .
                                int    Count);  //    .
 //====================================================================================================================================================
 //16.              .=====================================
 //           .
 //      "|",   ,       .
 //   ,   ,    .    .
 //      .
 int FileChartReadArray2double (string Name,       //   .
                                double Array[][]); // ,    .
 //====================================================================================================================================================
 //      ,   . 
 //17.      .=====================================================================================
 //   TRUE,     ,   FALSE.
 bool GlobalChartVariableCheck (string Name); //    .
 //====================================================================================================================================================
 //18.     .=============================================================================================
 //       .
 //      TRUE,  FALSE.
 bool GlobalChartVariableDel (string Name); //    .
 //====================================================================================================================================================
 //19.              .======================
 //         100.    .    99.
 //        ,     .
 string GlobalChartVariableName (int Index); //      .      0  ,  GlobalChartVariablesTotal().
 //====================================================================================================================================================
 //20.       .==========================================================================
 //     "-1".
 int GlobalChartVariablesTotal();
 //====================================================================================================================================================
 //21.     .==============================================================================================
 //    .      ,      .
 //         ,      .
 //            "-1".
 int GlobalChartVariablesDeleteAll (string PrefixName); //     .
 //====================================================================================================================================================
 //22.      .======================================================================================
 //  TRUE,    .    - FALSE.
 bool RenamingGlobalChartVariable (string Name1,  //    ,   .
                                   string Name2); //   ,    .
 //====================================================================================================================================================
#import
//